<?php

namespace Schaffen\Transaction\Transaction\Strategies\WarehouseInventory;

use Schaffen\Transaction\Transaction\Interfaces\IManipulateWarehouseInventory;
use Schaffen\Transaction\Transaction\Models\Transaction;

class WithoutWarehouseInventory implements IManipulateWarehouseInventory
{

   private $mensagem = ["message" => "Não manipula estoque"];

   public function __construct($loe_origem = null, $loe_destino = null, $filial = 1)
   {
      $this->setup($loe_origem, $loe_destino, $filial);
   }


    public function creditarEstoque($item, Transaction $transacao)
   {
      return $this->mensagem;
   }

    public function debitarEstoque($item, Transaction $transacao)
   {
      return $this->mensagem;
   }

   public function setup($loe_origem = null, $loe_destino = null, $filial = 1)
   {

   }

}